.audio-controls {
    position: fixed;
    top: 80px;
    right: 40px;
    z-index: 9;
}
.audio-btn {
    background-color: #000b0bde;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    margin: 5px;
    cursor: url("(/pointer.gif)"), auto !important;
    font-size: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.audio-btn:hover {
    background-color: #9b0e0e;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.log .validation-message {
    color: #e50000;
    width: 400px;
    margin-left: -30px;
    font-size: 10px;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

#recaptcha{
    margin: 0 auto 20px;
    width: fit-content;
    text-align: center;
}

.error-content {
    text-align: center;
    line-height: 11px;
    padding: 10px;
    width: 60%;
    margin: auto;
}

.credit{
    width: 100%;
    height: 100%;
}
.credit p:first-child{
    background-color: #324c50;
    padding: 0;
    margin-bottom: 5px;
    font-weight: bold;
}

.credit p.price {
    font-weight: bold;
    margin-top: -20px;
}

.credit .card-content{
    width: 150px;
    height: fit-content;
    text-align: center;
    display: inline-block;
    margin: 10px;
    background-color: #223336;
    padding: 2px;
}

.paypal-button.paypal-button-number-0.paypal-button-layout-horizontal.paypal-button-shape-pill.paypal-button-branding-branded.paypal-button-number-single.paypal-button-env-production.paypal-should-focus.paypal-button-label-checkout.paypal-button-color-gold.paypal-button-logo-color-blue,.paypal-button.paypal-button-number-0.paypal-button-layout-horizontal.paypal-button-shape-pill.paypal-button-branding-branded.paypal-button-number-single.paypal-button-env-production.paypal-should-focus.paypal-button-label-checkout.paypal-button-color-gold.paypal-button-logo-color-blue {
    width: 150px !important;
    height: 0;
}

.paypal-button-fundingicons, .paypal-button-fundingicons {
    width: 150px !important;
    text-align: center !important;
}

.paypal-button-fundingicons img, .paypal-button-fundingicons img {
    height: 62% !important;
}

.paypal-button > .paypal-button-label-container > *,.paypal-button > .paypal-button-label-container > * {
    vertical-align: top !important;
    height: 70% !important;
    text-align: left !important;
}

span.paypal-button-text {
    font-size: small !important;
    font-weight: bold !important;
}

span.paypal-button-text {
    margin-top: -3px !important;
}

.paypal-button-fundingicons .paypal-button-card {
    height: 30px !important;
    margin-top: 18px !important;
    margin-left: 1px !important;
    margin-right: 1px !important;
}

#paypal-checkout-overlay{
    height: 1825px !important;
}

.modal-backdrop{
    background-color: #000000d1;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999999999999;
    overflow: hidden;
    display: none;
    align-items: center;
    align-content: center;
}

.modal-dialog {
    margin: auto;
    position: relative;
    width: 90vw;
    height: 90vh;
}

.modal-content {
    background-color: #030303;
    border-radius: 5px;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.modal-body{
    align-content: center;
    text-align: center;
    height: 100%;
}

.modal-content button{
    float: inline-end;
    width: 50px;
    height: 50px;
    margin: 25px;
    font-size: 30px;
    font-weight: bold;
    border-radius: 50%;
    background-color: #282828a3;
    color: #fefefe;
}
.fade {
    opacity: 0;
    transition: all 5s ease-in-out;
}

.fade.show {
    display: block;
    opacity: 1;
}
.video{
    height: 125px;
    width: 125px;
    display: inline-table;
    padding: 0 0 5px 0;
}
.video :after{
    content: "▶";
    position: absolute;
    color: white;
    font-size: 50px;
    background: radial-gradient(circle, rgb(0 0 0) 0%, rgb(0 0 0 / 61%) 100%);
    width: 100%;
    height: 100%;
    text-align: center;
    align-content: center;
}
.video iframe{
    width: 100%;
    height: 100%;
}

.video .mask{
    background-color: #00000000;
    position: absolute;
    width: 125px;
    height: 125px;
    box-shadow: 10px 10px 10px #172427;
}

.pay .modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;

    /* Animation: Hidden by default */
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s;
}

.pay .modal-content {
    background: #223336;
    padding: 1.5rem;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    width: 90%;
    max-width: 480px;
    position: relative;/
transform: scale(0.9);
    opacity: 0;
    transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    height: unset;
}

.pay .modal-content input, .pay .modal-content select {
    background: #324c50;
    color: #fff;
    border: 1px solid #d9c0ae;
    width: 100%;
    padding: 4px;
    border-radius: 3px;
    margin-bottom: 1rem;
    margin-left: -2px;
    text-align: center;
    font-size: 1.2rem;
    margin: 4px 9px;
}

.pay .modal-content label {
    font-size: 1.2rem;
    font-weight: 600;
    display: block ruby;
    line-height: 2;
}

.pay .modal-content select {
    width: 32%;
}

.pay .modal-content .form-group{
    display: flex;
}

.pay .modal-overlay.active {
    visibility: visible;
    opacity: 1;
}

.pay .modal-overlay.active .modal-content {
    transform: scale(1);
    opacity: 1;
}

.pay .modal-header {
    text-align: center;
    margin-bottom: 1.5rem;
    border-bottom: 1px solid #ddd;
    padding-bottom: 1.5rem;
}

.pay .modal-title {
    font-size: 1.5rem;
    font-weight: 600;
    color: #dbdbdb;
    margin-top: 1rem;
}

.pay .modal-close {
    position: absolute;
    top: 15px;
    right: 20px;
    font-size: 2rem;
    color: #aaa;
    cursor: pointer;
    line-height: 1;
    transition: color 0.2s ease;
}

.pay .modal-close:hover {
    color: #ffa308;
}

.pay .submit-payment-button {
    width: 30% !important;
    padding: 14px;
    font-size: 1.1rem !important;
    font-weight: 600 !important;
    color: #223336 !important;
    background-color: #ffa308 !important;
    border: none;
    border-radius: 8px !important;
    cursor: pointer;
    transition: all 0.3s ease;
    margin: auto !important;
}

.pay .submit-payment-button:hover {
    opacity: 0.85;
    transform: translateY(-2px);
}